Skip to main content
Version: 2025-05-27

Launch a target group

This guide explains how to launch your target group on the Cint Exchange, making it visible to suppliers and respondents. This involves a two-step process:

  1. Launch the fielding run: Use the job to launch a draft target group endpoint to initiate the target group.
  2. Verify the fielding run status: Use the retrieve a 'launch from draft' job status endpoint to confirm the launching of your fielding run. The status completed means your fielding run has launched and is live on the exchange.

Fielding run overview​

A fielding run activates your target group configuration on the Cint Exchange. It represents the specific timeframe when your project is visible to suppliers and respondents. Effectively, it controls whether the target group is live, paused, or completed.

When you launch a draft target group, the system creates a new fielding run. This run operates on its own lifecycle with distinct start and end dates that you'll specify during the launch process.

Launch fielding run​

POST /v1/demand/accounts/{account_id}/projects/{project_id}/target-groups/{target_group_id}/fielding-run-jobs/launch-from-draft

Path parameters​

The following parameters must be included directly in the URL:

  • account_id (string, required): Your unique account identifier.
    • Example: 12345
  • project_id (string, required): The unique identifier of the project.
    • Example: 01JX2KPG5VEBF8498Z8YTTE8TB
  • target_group_id (string, required): The unique identifier of the target group.
    • Example: 01JX2KPG5VEBF8498Z8YTTE8TB

Request header​

All requests to this endpoint require the following headers:

HeaderDescriptionExample
AuthorizationYour JWT token prefixed with Bearer.Bearer eyJhbGc...
idempotency-keyUUID for this request.3dcf41bf-d16f-410a-a14c-13b83869b531
Cint-API-VersionThe API version you are targeting.2025-05-27
Content-TypeMust be application/json.application/json

For more information on these request headers​

Request body​

Use an RFC3339 UTC format for the date and time.

Example request body​

Example request body to set the target group's end date

{
"end_fielding_at": "2025-12-12T23:00:00.000Z"
}

Example request​

curl -X POST \
'https://api.cint.com/v1/demand/accounts/{account_id}/projects/{project_id}/target-groups/{target_group_id}/fielding-run-jobs/launch-from-draft' \
-H 'Content-Type: application/json' \
-H 'idempotency-key: <YOUR_GENERATED_UUID>' \
-H 'Authorization: Bearer <YOUR_JWT_TOKEN>' \
-H 'Cint-API-Version: 2025-05-27' \
-d '{
"end_fielding_at": "2025-12-12T23:00:00.000Z"
}'

Success response​

A successful request returns an HTTP 201 Created response with no response body.

Obtain the job_id from the location response header​

The response headers contains a location property with your job_id:

Grab this as you will need it for your next step.

tip

When building your integration, cache the job_id as it will be required for other operations related to fielding runs, such as closing your target group.

Check the status of the launch from draft job​

GET /v1/demand/accounts/{account_id}/projects/{project_id}/target-groups/{target_group_id}/fielding-run-jobs/launch-from-draft/{job_id}

Path parameters​

The following parameters must be included directly in the URL:

  • account_id (string, required): Your unique account identifier.
    • Example: 12345
  • project_id (string, required): The unique identifier of the project.
    • Example: 01JX2KPG5VEBF8498Z8YTTE8TB
  • target_group_id (string, required): The unique identifier of the target group.
    • Example: 01JX2KPG5VEBF8498Z8YTTE8TB
  • job_id (string, required): The location provided in the response header of the previous call.
    • Example: 01JX2KPG5VEBF8498Z8YTTE8TB

Request header​

All requests to this endpoint require the following headers:

HeaderDescriptionExample
AuthorizationYour JWT token prefixed with Bearer.Bearer eyJhbGc...
Cint-API-VersionThe API version you are targeting.2025-05-27
Content-TypeMust be application/json.application/json

Example request​

curl \
'https://api.cint.com/v1/demand/accounts/{account_id}/projects/{project_id}/target-groups/{target_group_id}/fielding-run-jobs/launch-from-draft/{job_id}' \
-H 'Authorization: Bearer <YOUR_JWT_TOKEN>' \
-H 'Cint-API-Version: 2025-05-27'

A successful request returns the data associated with your fielding run and shows that your target group is now live and visible to Cint suppliers.

Example 200 response​

Example response showing a completed job

{
"job_id": "1d9b3a04-5f78-4c23-9c87-2e6f9d3b8e76",
"created_fielding_run_id": "01K5065XQ7G3PSD6H9WZETM5FB",
"created_at": "2025-09-13T00:13:52.555Z",
"created_by": "18111163-dc18-4b84-abee-3b3141b289c0",
"status": "Completed",
"failure_reason": null
}

Example response for a failed launch

{
"job_id": "ac37b51e-f16b-4242-adf7-3e36f939eb1f",
"created_at": "2025-09-05T21:27:37.129Z",
"created_by": "18111163-dc18-4b84-abee-3b3141b289c0",
"status": "Failed",
"failure_reason": {
"code": "ProfileApplicationFailed",
"description": "Profiles application failed."
},
"job_trace_id": "48450b40474aad83b1a753ee790afa5b"
}

Congratulations!​

You have successfully launched your target group on the Cint Exchange.

Next steps​

important

Once a target group is launched, it can start to field respondents that get prescreened and enter the entry link. See the how-to guide on managing respondent status to learn about the interactions between your chosen survey hosting platform and the Cint Exchange while your survey is live.

Now that your target group is live, let’s learn how to shut it down.